- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
getDevice
Complete List of ArrayFire Functions ArrayFire Functions by Category » Functions to create and modify Arrays » | Managing devices in ArrayFire

Get the current device ID. More...

## Functions
AFAPI int | deviceget ()
| Gets the current device ID. More...
AFAPI int | getDevice ()
| Gets the current device ID. More...

## Detailed Description

Get the current device ID.

Gets the ID of the current device

## Function Documentation

AFAPI int af::deviceget | ( |  | ) |

Gets the current device ID.

Get the current device ID. Gets the ID of the current device

Returns
  the device ID of the current device

Deprecated:
  Use getDevice() instead

AFAPI int af::getDevice | ( |  | ) |

Gets the current device ID.

Get the current device ID. Gets the ID of the current device

Returns
  the device ID of the current device